---

mariadb_databases:
  # content-management-server
  - name: content_management_server
    collation: utf8mb4_bin
    encoding: utf8mb4

  # caefeeder-preview
  - name: caefeeder_preview
    collation: utf8mb4_bin
    encoding: utf8mb4

  # content-feeder
  - name: content_feeder
    collation: utf8mb4_bin
    encoding: utf8mb4

  # studio-server
  - name: studio_editorial
    collation: utf8mb4_bin
    encoding: utf8mb4


mariadb_users:
  # content-management-server
  - name: content_management_server
    host: "%"
    password: "{{ vault__database.content_management_server }}"
    priv: "content_management_server.*:ALL"
    encrypted: false

  # caefeeder-preview
  - name: caefeeder_preview
    host: "%"
    password: "{{ vault__database.caefeeder_preview }}"
    priv: "caefeeder_preview.*:ALL"
    encrypted: false

  # content-feeder
  - name: content_feeder
    host: "%"
    password: "{{ vault__database.content_feeder }}"
    priv: "content_feeder.*:ALL"
    encrypted: false

  # studio-server
  - name: studio_editorial
    host: "%"
    password: "{{ vault__database.studio_editorial }}"
    priv: "studio_editorial.*:ALL"
    encrypted: false
